Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## OOXMLconvert
Class frmMain

    java.lang.Object
      java.awt.Component
          java.awt.Container
              java.awt.Window
                  java.awt.Frame
                      javax.swing.JFrame
                          OOXMLconvert.frmMain

All Implemented Interfaces:
  java.awt.image.ImageObserver, java.awt.MenuContainer, java.io.Serializable, javax.accessibility.Accessible, javax.swing.RootPaneContainer, javax.swing.WindowConstants

    public class frmMain

extends javax.swing.JFrame

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class javax.swing.JFrame
`javax.swing.JFrame.AccessibleJFrame`

Nested classes/interfaces inherited from class java.awt.Frame
`java.awt.Frame.AccessibleAWTFrame`

Nested classes/interfaces inherited from class java.awt.Window
`java.awt.Window.AccessibleAWTWindow`

Nested classes/interfaces inherited from class java.awt.Container
`java.awt.Container.AccessibleAWTContainer`

Nested classes/interfaces inherited from class java.awt.Component
`java.awt.Component.AccessibleAWTComponent, java.awt.Component.BaselineResizeBehavior, java.awt.Component.BltBufferStrategy, java.awt.Component.FlipBufferStrategy`

Field Summary
`private javax.swing.JButton` | `jButton1`
`private javax.swing.JButton` | `jButton2`
`private javax.swing.JButton` | `jButton3`
`private javax.swing.JButton` | `jButton4`
`private javax.swing.JButton` | `jButton5`
`private javax.swing.JButton` | `jButton6`
`private javax.swing.JComboBox` | `jComboBox1`
`private javax.swing.JComboBox` | `jComboBox2`
`private javax.swing.JComboBox` | `jComboBox3`
`private javax.swing.JCheckBox` | `jCheckBox1`
`private javax.swing.JCheckBox` | `jCheckBox2`
`private javax.swing.JCheckBox` | `jCheckBox3`
`private javax.swing.JCheckBox` | `jCheckBox4`
`private javax.swing.JLabel` | `jLabel1`
`private javax.swing.JLabel` | `jLabel10`
`private javax.swing.JLabel` | `jLabel11`
`private javax.swing.JLabel` | `jLabel12`
`private javax.swing.JLabel` | `jLabel13`
`private javax.swing.JLabel` | `jLabel14`
`private javax.swing.JLabel` | `jLabel15`
`private javax.swing.JLabel` | `jLabel16`
`private javax.swing.JLabel` | `jLabel17`
`private javax.swing.JLabel` | `jLabel18`
`private javax.swing.JLabel` | `jLabel19`
`private javax.swing.JLabel` | `jLabel2`
`private javax.swing.JLabel` | `jLabel3`
`private javax.swing.JLabel` | `jLabel4`
`private javax.swing.JLabel` | `jLabel5`
`private javax.swing.JLabel` | `jLabel6`
`private javax.swing.JLabel` | `jLabel7`
`private javax.swing.JLabel` | `jLabel8`
`private javax.swing.JLabel` | `jLabel9`
`private javax.swing.JPanel` | `jPanel1`
`private javax.swing.JPanel` | `jPanel2`
`private javax.swing.JPanel` | `jPanel3`
`private javax.swing.JPanel` | `jPanel4`
`private javax.swing.JPanel` | `jPanel5`
`private javax.swing.JPanel` | `jPanel6`
`private javax.swing.JPanel` | `jPanel7`
`private javax.swing.JSlider` | `jSlider1`
`private javax.swing.JTabbedPane` | `jTabbedPane1`
`private javax.swing.JTextField` | `jTextField1`
`private javax.swing.JTextField` | `jTextField10`
`private javax.swing.JTextField` | `jTextField11`
`private javax.swing.JTextField` | `jTextField12`
`private javax.swing.JTextField` | `jTextField13`
`private javax.swing.JTextField` | `jTextField14`
`private javax.swing.JTextField` | `jTextField2`
`private javax.swing.JTextField` | `jTextField3`
`private javax.swing.JTextField` | `jTextField4`
`private javax.swing.JTextField` | `jTextField5`
`private javax.swing.JTextField` | `jTextField6`
`private javax.swing.JTextField` | `jTextField7`
`private javax.swing.JTextField` | `jTextField8`
`private javax.swing.JTextField` | `jTextField9`

Fields inherited from class javax.swing.JFrame
`accessibleContext, EXIT_ON_CLOSE, rootPane, rootPaneCheckingEnabled`

Fields inherited from class java.awt.Frame
`CROSSHAIR_CURSOR, DEFAULT_CURSOR, E_RESIZE_CURSOR, HAND_CURSOR, ICONIFIED, MAXIMIZED_BOTH, MAXIMIZED_HORIZ, MAXIMIZED_VERT, MOVE_CURSOR, N_RESIZE_CURSOR, NE_RESIZE_CURSOR, NORMAL, NW_RESIZE_CURSOR, S_RESIZE_CURSOR, SE_RESIZE_CURSOR, SW_RESIZE_CURSOR, TEXT_CURSOR, W_RESIZE_CURSOR, WAIT_CURSOR`

Fields inherited from class java.awt.Component
`BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

Fields inherited from interface javax.swing.WindowConstants
`DISPOSE_ON_CLOSE, DO_NOTHING_ON_CLOSE, HIDE_ON_CLOSE`

Fields inherited from interface java.awt.image.ImageObserver
`ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

Constructor Summary
`frmMain()` Creates new form frmMain

Method Summary
`private java.lang.String` | `getParams()`
`private void` | `initComponents()` This method is called from within the constructor to initialize the form.
`private void` | `jButton1ActionPerformed(java.awt.event.ActionEvent evt)`
`private void` | `jButton2ActionPerformed(java.awt.event.ActionEvent evt)`
`private void` | `jButton3ActionPerformed(java.awt.event.ActionEvent evt)`
`private void` | `jButton4ActionPerformed(java.awt.event.ActionEvent evt)`
`private void` | `jButton5ActionPerformed(java.awt.event.ActionEvent evt)`
`private void` | `jButton6ActionPerformed(java.awt.event.ActionEvent evt)`
`private void` | `jComboBox3ActionPerformed(java.awt.event.ActionEvent evt)`
`private void` | `jCheckBox1ActionPerformed(java.awt.event.ActionEvent evt)`
`private void` | `jCheckBox2ActionPerformed(java.awt.event.ActionEvent evt)`
`private void` | `jCheckBox3ActionPerformed(java.awt.event.ActionEvent evt)`
`private void` | `jCheckBox4ActionPerformed(java.awt.event.ActionEvent evt)`
`private void` | `jSlider1StateChanged(javax.swing.event.ChangeEvent evt)`
`private void` | `loadCssConnectionTypes()` Funkcia pripraví ComboBox s typmi prepojenia s existujucim CSS
`private void` | `loadDefaults()` Funkcia načíta defaultné nastavenia.
`private void` | `loadFormatPreservingLevel()` Funkcia pripraví ComboBox s úrovňami zachovania formátovania
`private void` | `loadHTMLTagsForHeading()` Funkcia pripraví ComboBox s HTML tagmi pre nadpis

Methods inherited from class javax.swing.JFrame
`addImpl, createRootPane, frameInit, getAccessibleContext, getContentPane, getDefaultCloseOperation, getGlassPane, getGraphics, getJMenuBar, getLayeredPane, getRootPane, getTransferHandler, isDefaultLookAndFeelDecorated, isRootPaneCheckingEnabled, paramString, processWindowEvent, remove, repaint, setContentPane, setDefaultCloseOperation, setDefaultLookAndFeelDecorated, setGlassPane, setIconImage, setJMenuBar, setLayeredPane, setLayout, setRootPane, setRootPaneCheckingEnabled, setTransferHandler, update`

Methods inherited from class java.awt.Frame
`addNotify, getCursorType, getExtendedState, getFrames, getIconImage, getMaximizedBounds, getMenuBar, getState, getTitle, isResizable, isUndecorated, remove, removeNotify, setCursor, setExtendedState, setMaximizedBounds, setMenuBar, setResizable, setState, setTitle, setUndecorated`

Methods inherited from class java.awt.Window
`addPropertyChangeListener, addPropertyChangeListener, addWindowFocusListener, addWindowListener, addWindowStateListener, applyResourceBundle, applyResourceBundle, createBufferStrategy, createBufferStrategy, dispose, getBufferStrategy, getFocusableWindowState, getFocusCycleRootAncestor, getFocusOwner, getFocusTraversalKeys, getGraphicsConfiguration, getIconImages, getInputContext, getListeners, getLocale, getModalExclusionType, getMostRecentFocusOwner, getOwnedWindows, getOwner, getOwnerlessWindows, getToolkit, getWarningString, getWindowFocusListeners, getWindowListeners, getWindows, getWindowStateListeners, hide, isActive, isAlwaysOnTop, isAlwaysOnTopSupported, isFocusableWindow, isFocusCycleRoot, isFocused, isLocationByPlatform, isShowing, pack, postEvent, processEvent, processWindowFocusEvent, processWindowStateEvent, removeWindowFocusListener, removeWindowListener, removeWindowStateListener, reshape, setAlwaysOnTop, setBounds, setBounds, setCursor, setFocusableWindowState, setFocusCycleRoot, setIconImages, setLocationByPlatform, setLocationRelativeTo, setMinimumSize, setModalExclusionType, setSize, setSize, setVisible, show, toBack, toFront`

Methods inherited from class java.awt.Container
`add, add, add, add, add, addContainerListener, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getAlignmentX, getAlignmentY, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getComponentZOrder, getContainerListeners, getFocusTraversalPolicy, getInsets, getLayout, getMaximumSize, getMinimumSize, getMousePosition, getPreferredSize, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusTraversalPolicyProvider, isFocusTraversalPolicySet, layout, list, list, locate, minimumSize, paint, paintComponents, preferredSize, print, printComponents, processContainerEvent, remove, removeAll, removeContainerListener, setComponentZOrder, setFocusTraversalKeys, setFocusTraversalPolicy, setFocusTraversalPolicyProvider, setFont, transferFocusBackward, transferFocusDownCycle, validate, validateTree`

Methods inherited from class java.awt.Component
`action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, coalesceEvents, contains, contains, createImage, createImage, createVolatileImage, createVolatileImage, disable, disableEvents, dispatchEvent, enable, enable, enableEvents, enableInputMethods, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getBackground, getBaseline, getBaselineResizeBehavior, getBounds, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getFontMetrics, getForeground, getHeight, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocation, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMousePosition, getMouseWheelListeners, getName, getParent, getPeer, getPropertyChangeListeners, getPropertyChangeListeners, getSize, getSize, getTreeLock, getWidth, getX, getY, gotFocus, handleEvent, hasFocus, checkImage, checkImage, imageUpdate, inside, isBackgroundSet, isCursorSet, isDisplayable, isDoubleBuffered, isEnabled, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isMaximumSizeSet, isMinimumSizeSet, isOpaque, isPreferredSizeSet, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, prepareImage, prepareImage, printAll, processComponentEvent, processFocusEvent, processHierarchyBoundsEvent, processHierarchyEvent, processInputMethodEvent, processKeyEvent, processMouseEvent, processMouseMotionEvent, processMouseWheelEvent, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, requestFocus, requestFocus, requestFocusInWindow, requestFocusInWindow, resize, resize, setBackground, setComponentOrientation, setDropTarget, setEnabled, setFocusable, setFocusTraversalKeysEnabled, setForeground, setIgnoreRepaint, setLocale, setLocation, setLocation, setMaximumSize, setName, setPreferredSize, show, size, toString, transferFocus, transferFocusUpCycle`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.awt.MenuContainer
`getFont, postEvent`

Field Detail

### jButton1

    private javax.swing.JButton jButton1

### jButton2

    private javax.swing.JButton jButton2

### jButton3

    private javax.swing.JButton jButton3

### jButton4

    private javax.swing.JButton jButton4

### jButton5

    private javax.swing.JButton jButton5

### jButton6

    private javax.swing.JButton jButton6

### jCheckBox1

    private javax.swing.JCheckBox jCheckBox1

### jCheckBox2

    private javax.swing.JCheckBox jCheckBox2

### jCheckBox3

    private javax.swing.JCheckBox jCheckBox3

### jCheckBox4

    private javax.swing.JCheckBox jCheckBox4

### jComboBox1

    private javax.swing.JComboBox jComboBox1

### jComboBox2

    private javax.swing.JComboBox jComboBox2

### jComboBox3

    private javax.swing.JComboBox jComboBox3

### jLabel1

    private javax.swing.JLabel jLabel1

### jLabel10

    private javax.swing.JLabel jLabel10

### jLabel11

    private javax.swing.JLabel jLabel11

### jLabel12

    private javax.swing.JLabel jLabel12

### jLabel13

    private javax.swing.JLabel jLabel13

### jLabel14

    private javax.swing.JLabel jLabel14

### jLabel15

    private javax.swing.JLabel jLabel15

### jLabel16

    private javax.swing.JLabel jLabel16

### jLabel17

    private javax.swing.JLabel jLabel17

### jLabel18

    private javax.swing.JLabel jLabel18

### jLabel19

    private javax.swing.JLabel jLabel19

### jLabel2

    private javax.swing.JLabel jLabel2

### jLabel3

    private javax.swing.JLabel jLabel3

### jLabel4

    private javax.swing.JLabel jLabel4

### jLabel5

    private javax.swing.JLabel jLabel5

### jLabel6

    private javax.swing.JLabel jLabel6

### jLabel7

    private javax.swing.JLabel jLabel7

### jLabel8

    private javax.swing.JLabel jLabel8

### jLabel9

    private javax.swing.JLabel jLabel9

### jPanel1

    private javax.swing.JPanel jPanel1

### jPanel2

    private javax.swing.JPanel jPanel2

### jPanel3

    private javax.swing.JPanel jPanel3

### jPanel4

    private javax.swing.JPanel jPanel4

### jPanel5

    private javax.swing.JPanel jPanel5

### jPanel6

    private javax.swing.JPanel jPanel6

### jPanel7

    private javax.swing.JPanel jPanel7

### jSlider1

    private javax.swing.JSlider jSlider1

### jTabbedPane1

    private javax.swing.JTabbedPane jTabbedPane1

### jTextField1

    private javax.swing.JTextField jTextField1

### jTextField10

    private javax.swing.JTextField jTextField10

### jTextField11

    private javax.swing.JTextField jTextField11

### jTextField12

    private javax.swing.JTextField jTextField12

### jTextField13

    private javax.swing.JTextField jTextField13

### jTextField14

    private javax.swing.JTextField jTextField14

### jTextField2

    private javax.swing.JTextField jTextField2

### jTextField3

    private javax.swing.JTextField jTextField3

### jTextField4

    private javax.swing.JTextField jTextField4

### jTextField5

    private javax.swing.JTextField jTextField5

### jTextField6

    private javax.swing.JTextField jTextField6

### jTextField7

    private javax.swing.JTextField jTextField7

### jTextField8

    private javax.swing.JTextField jTextField8

### jTextField9

    private javax.swing.JTextField jTextField9

Constructor Detail

### frmMain

    public frmMain()

  Creates new form frmMain

Method Detail

### getParams

    private java.lang.String getParams()

### loadFormatPreservingLevel

    private void loadFormatPreservingLevel()

  Funkcia pripraví ComboBox s úrovňami zachovania formátovania

### loadCssConnectionTypes

    private void loadCssConnectionTypes()

  Funkcia pripraví ComboBox s typmi prepojenia s existujucim CSS

### loadHTMLTagsForHeading

    private void loadHTMLTagsForHeading()

  Funkcia pripraví ComboBox s HTML tagmi pre nadpis

### loadDefaults

    private void loadDefaults()

  Funkcia načíta defaultné nastavenia.

### initComponents

    private void initComponents()

  This method is called from within the constructor to initialize the form. WARNING: Do NOT modify this code. The content of this method is always regenerated by the Form Editor.

### jButton1ActionPerformed

    private void jButton1ActionPerformed(java.awt.event.ActionEvent evt)

### jButton2ActionPerformed

    private void jButton2ActionPerformed(java.awt.event.ActionEvent evt)

### jButton4ActionPerformed

    private void jButton4ActionPerformed(java.awt.event.ActionEvent evt)

### jButton3ActionPerformed

    private void jButton3ActionPerformed(java.awt.event.ActionEvent evt)

### jButton5ActionPerformed

    private void jButton5ActionPerformed(java.awt.event.ActionEvent evt)

### jSlider1StateChanged

    private void jSlider1StateChanged(javax.swing.event.ChangeEvent evt)

### jCheckBox1ActionPerformed

    private void jCheckBox1ActionPerformed(java.awt.event.ActionEvent evt)

### jCheckBox2ActionPerformed

    private void jCheckBox2ActionPerformed(java.awt.event.ActionEvent evt)

### jCheckBox3ActionPerformed

    private void jCheckBox3ActionPerformed(java.awt.event.ActionEvent evt)

### jCheckBox4ActionPerformed

    private void jCheckBox4ActionPerformed(java.awt.event.ActionEvent evt)

### jComboBox3ActionPerformed

    private void jComboBox3ActionPerformed(java.awt.event.ActionEvent evt)

### jButton6ActionPerformed

    private void jButton6ActionPerformed(java.awt.event.ActionEvent evt)

Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD